using UnityEngine;

public class BunkerStationCurve : BunkerStation
{
	[SerializeField] private TrajectoryScreen _screen = null;

	private Sinusoid _sinusoid = null;

	public Sinusoid Sinusoid => _sinusoid;

	public void SetSinusoid(Sinusoid sinusoid)
	{
		_sinusoid = sinusoid;
		_screen.Viewer.DisplaySinusoid(sinusoid);
	}
}
